Subject: Re: [PATCH] status: teach "status --short" to respect "--show-stash"

From: "Eric N. Vander Weele" <[email-masked]>
Date: Fri, 8 Nov 2019 11:24:01 +0800

On Thu, Nov 07, 2019 at 08:09:34PM +0900, Junio C Hamano wrote:
> "Eric N. Vander Weele" <[email-masked]> writes:
>
> >> Isn't this information available to scripts that want to read from
> >> porcelain v2 output format (which is meant to be extensible by
> >> allowing easy-to-parse optional headers, which this stash thing
> >> exactly is).
> >
> > It is not available in Porcelain Format v2... yet :).
> >
> >
> > I'm happy making '--show-stash' congruent with '--branch' in v1',
> > which is would be in line with documented behavior, displaying
> > something in v2 only, or both.  Let me know how you would like to
> > proceed and I'll rework the patch accordingly.
>
> Quite honestly, you do not want to ask _me_.  If you left it to
> me, I may say that, among the possible next step you listed, the
> best one is to do nothing, as I do not want to see the stash info in
> the "status --short" output ;-)
>
> It probably is the safest to make it available first only in v2
> format.  I do not know if that makes its utility too limited for the
> purpose of the application you have in mind.

The application I had in mind was to remind me of potentially stray
stashes I may have forgotten about when working on a project.  I was
hoping to add "--show-stash" to my alias for "status --short --branch".

The v2 format is a bit too verbose for what I need and having color
output is a nice bonus when using "--short".  I don't feel strongly for
pushing this through, but I am happy with what I have learned through
the process of trying :).